Run of scrub-obsolete for bsdmainutils

Try this locally (using the lintian-brush package):

debcheckout bsdmainutils
cd bsdmainutils
deb-scrub-obsolete

Merge these changes:

git pull https://janitor.debian.net/git/bsdmainutils scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index d90239f..f898344 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,11 @@
+bsdmainutils (12.1.8) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + Build-Depends: Drop versioned constraint on quilt.
+    + bsdmainutils: Drop versioned constraint on debianutils in Depends.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Wed, 11 Nov 2020 13:44:27 -0000
+
 bsdmainutils (12.1.7) unstable; urgency=medium
 
   * Fix broken locale for Russian calendars. (Closes: #930736, #945252)
diff --git a/debian/control b/debian/control
index 17cb7e6..595089f 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Section: utils
 Priority: optional
 Maintainer: Debian Bsdmainutils Team <pkg-bsdmainutils@teams.debian.net>
 Uploaders: Michael Meskes <meskes@debian.org>
-Build-Depends: debhelper-compat (= 13), quilt (>= 0.40), libbsd-dev, libncurses-dev
+Build-Depends: debhelper-compat (= 13), quilt, libbsd-dev, libncurses-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/meskes/bsdmainutils
 Vcs-Git: https://salsa.debian.org/meskes/bsdmainutils.git
@@ -13,7 +13,7 @@ Package: bsdmainutils
 Architecture: all
 Multi-Arch: foreign
 Section: oldlibs
-Depends: ${misc:Depends}, bsdutils (>= 3.0-0), debianutils (>= 1.8),
+Depends: ${misc:Depends}, bsdutils (>= 3.0-0), debianutils,
  bsdextrautils (>= 2.35.2-7), calendar, ncal
 Suggests: whois, vacation, mailutils
 Description: Transitional package for more utilities from FreeBSD

Full worker log